:root {
    --bg-color: #1c2122;
    --bg2-color:#1B2122;
    --theme-color: #daf900;
}

body {
    font-family: 'TsangerYunHei-W04', serif;
}

.page {
    width: 100%;
    height: auto;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    color: #ffffff;
    line-height: 1;
}

.page-neirong {
    position: absolute;
    top: 1rem;
    left: 1rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 0.24rem;
}

.page-title {
    font-size: 0.48rem;
    color: var(--theme-color);
    font-family: 'TsangerYunHei-W06', serif;
}

.page-subtitle {
    font-size: 0.24rem;
    line-height: 1.5;
}

.page-content {
    width: calc(100% - 2rem);
    margin: 1rem auto;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 0.24rem;
}

.page-kuang {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    gap: 0.48rem;
    overflow: hidden;
}

.kuang {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease;
}

.kuang-neirong {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    height: 2.48rem;
    background-color: rgba(0, 0, 0, 0.8);
    clip-path: polygon(
        0 0,
        calc(100% - 0.24rem) 0,
        100% 0.24rem,
        100% 100%,
        0 100%
    );
    gap: 0.24rem;
    bottom: -1.54rem;
    transition: bottom 0.4s cubic-bezier(0.4, 0, 0.2, 1);
}

.kuang-neirong:hover {
    bottom: 0;
}

.kuang-title {
    margin: 0.24rem 0 0 0;
    font-size: 0.24rem;
    line-height: 1;
    font-family: 'TsangerYunHei-W05', serif;
    transition: all 0.3s ease;
}

.kuang-divider {
    width: 90%;
    height: 1px;
    background: var(--theme-color);
    transition: all 0.3s ease;
}

.kuang-detail {
    overflow: hidden;
    transition: all 0.3s ease;
    font-size: 0.24rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.12rem;
}

.kuang-title {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.12rem;
}
.kuang-title div {
    width: 50%;
    text-align: center;
}

.kuang-detail {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.12rem;
}
.kuang-detail div {
    width: 50%;
    text-align: center;
    color: #ffffff;
}
.kuang-detail div p {
    line-height: 2;
}

.yuyue_btn {
    position: relative;
    width: 1.8rem;
    height: auto;
}

.yuyue_btn span {
    position: absolute;
    width: 100%;
    height: 100%;
    font-size: 0.28rem;
    color: var(--theme-color);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.pc img {
    width: 100%;
    height: auto;
}

.mobile img {
    width: 100%;
    height: auto;
}

.highlight {
    color: var(--theme-color);
}

.mySwiper {
    width: 100%;
    height: auto;
    position: relative;
    overflow: hidden;
}

.swiper_pagination1,
.swiper_pagination2 {
    position: absolute;
    left: calc(50% - 2rem);
    bottom: 0.72rem;
    z-index: 999;
    text-align: center;
    pointer-events: none;
}

.swiper_pagination1-mobile{
    position: absolute;
    left: calc(50% - 2rem);
    bottom: 0.36rem;
    z-index: 999;
    text-align: center;
    pointer-events: none;
}

.swiper_pagination2-mobile {
    display: flex;
    justify-content: center;
    height: 1rem;
    z-index: 999;
    align-items: center;
}

.swiper_pagination9-mobile {
    display: flex;
    justify-content: center;
    height: 1rem;
    z-index: 999;
    align-items: center;
}

.swiper-pagination {
    display: flex !important;
    justify-content: center;
    align-items: center;
    pointer-events: auto;
}

.swiper-pagination-bullet {
    width: 1.6rem !important;
    height: 2px !important;
    border-radius: 0 !important;
    background: #ffffff !important;
    opacity: 1 !important;
    transition: all 0.3s ease !important;
    margin: 0 0.2rem !important;
    display: inline-block !important;
}

.swiper-pagination-bullet-active {
    background: var(--theme-color) !important;
    width: 1.6rem !important;
    border-radius: 0 !important;
}

.pagination-text-container {
    margin-bottom: 0.12rem;
    text-align: center;
    display: flex;
    justify-content: center;
}

.pagination-text , .pagination-text-mobile {
    margin: 0 0.2rem !important;
    width: 1.6rem !important;
    font-size: 0.18rem;
    color: #ffffff;
    text-align: center;
}

.pagination-text.active {
    color: var(--theme-color);
}

.pagination-text-mobile.active {
    color: var(--theme-color);
}

.mySwiper_tab {
    position: absolute;
    left: 0;
    right: 0;
    width: 50%;
    bottom: 0.48rem;
    margin: auto;
    font-size: 0.24rem;
    color: #ffffff;
    display: flex;
    align-items: flex-start;
    z-index: 999;
}

.mySwiper6_tab {
    width: 50%;
    margin-top: 1rem;
    font-size: 0.24rem;
    color: #ffffff;
    display: flex;
    align-items: flex-start;
    z-index: 999;
}

.mySwiper5 {
    width: 100%;
    height: auto;
}

.mySwiper4,
.mySwiper5,
.mySwiper6 {
    width: 100%;
    height: auto;
}

.mySwiper4-mobile,
.mySwiper5-mobile,
.mySwiper6-mobile {
    width: 100%;
    height: auto;
}
.mySwiper9-mobile {
    width: 100%;
    height: auto;
}

.btn_pn_p,
.btn_pn_n {
    margin-top: -0.12rem;
    cursor: pointer;
    width: 0.36rem !important;
}

.btn_pn_ps,
.btn_pn_ns {
    margin-top: -0.15rem;
    cursor: pointer;
    width: 0.36rem !important;
}

.mySwiper_right_pc p:first-child {
    width: 100%;
    height: 2px;
    background: #a0a6a9;
}

.mySwiper_right_pc p:nth-child(2) {
    margin-top: 0.24rem;
    justify-content: center;
    display: flex;
    align-items: center;
}

.mySwiper_right_pc p:nth-child(2) img {
    width: 0.36rem;
    height: auto;
    margin-right: 0rem;
}

.mySwiper_right_pc p:nth-child(2) span {
    margin-left: 0.12rem;
}

.mySwiper_right_pc .swiper-slide-active p:first-child {
    background: var(--theme-color);
}

.mySwiper6_right_pc .swiper-slide {
    width: 33.33%;
}

.mySwiper5_right_pc .swiper-slide {
    width: 50%;
}

.font-white {
    color: #ffffff;
}

.gouchequanyi-title {
    width: 100%;
    font-size: 0.48rem;
    font-family: 'TsangerYunHei-W06', serif;
    color: var(--theme-color);
}
.gouchequanyi-subtitle {
    width: 100%;
    font-size: 0.24rem;
    margin-bottom: 0.24rem;
}

.gouchequanyi {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: censpace-between;
    width: 100%;
    gap: 0.24rem;
}
.gouchequanyi-list {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    gap: 0.24rem;
}
.gouchequanyi-kuang {
    position: relative;
    display: flex;
    width: 100%;
    padding: 0.24rem 0;
    align-items: center;
    border: 1px solid #fff;
    background: linear-gradient(0deg, #566203 0%, #232a2f 30%);
    text-align: center;
    flex-direction: column;
    justify-content: center;
    gap: 0.24rem;
}

.gouchequanyi-kuang-title {
    font-size: 0.36rem;
    color: var(--theme-color);
    line-height: 1;
}
.gouchequanyi-kuang-neirong {
    font-size: 0.18rem;
    line-height: 1.5;
}

.gouchequanyi-beizhu {
    font-family: 'TsangerYunHei-W01', serif;
    width: 100%;
    font-size: 0.18rem;
    line-height: 1.5;
    color: rgba(255, 255, 255, 0.6);
}
